입력 파일 삭제
curl --request DELETE \
--url https://api.studio.thezet.io/v1/uploads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.studio.thezet.io/v1/uploads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.thezet.io/v1/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.studio.thezet.io/v1/uploads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.studio.thezet.io/v1/uploads/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.studio.thezet.io/v1/uploads/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.studio.thezet.io/v1/uploads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "deleted"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}입력 파일
입력 파일 삭제
올린 파일을 완전히 지워요. 진행 중인 작업이 쓰고 있으면 409예요. 이미 지운 ID는 404예요.
DELETE
/
uploads
/
{id}
입력 파일 삭제
curl --request DELETE \
--url https://api.studio.thezet.io/v1/uploads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.studio.thezet.io/v1/uploads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.thezet.io/v1/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.studio.thezet.io/v1/uploads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.studio.thezet.io/v1/uploads/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.studio.thezet.io/v1/uploads/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.studio.thezet.io/v1/uploads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "deleted"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}인증
bearerAuthapiKeyAuth
Authorization: Bearer <API 키>
헤더
ko면 메시지를 한국어로 줘요. 기본은 영어예요.
경로 매개변수
업로드 ID예요.